Oracle Solaris Third-Party Patch Update : bash (cve_2012_3410_stack_based)

Medium Nessus Plugin ID 80591


The remote Solaris system is missing a security patch for third-party software.


The remote Solaris system is missing necessary patches to address security updates :

- Stack-based buffer overflow in lib/sh/eaccess.c in GNU Bash before 4.2 patch 33 might allow local users to bypass intended restricted shell access via a long filename in /dev/fd, which is not properly handled when expanding the /dev/fd prefix. (CVE-2012-3410)


Upgrade to Solaris 11.1.

See Also

Plugin Details

Severity: Medium

ID: 80591

File Name: solaris11_bash_20141107.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2015/01/19

Modified: 2016/10/25

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.6

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:oracle:solaris:11.1, p-cpe:/a:oracle:solaris:bash

Required KB Items: Host/local_checks_enabled, Host/Solaris11/release, Host/Solaris11/pkg-list

Patch Publication Date: 2014/11/07

Reference Information

CVE: CVE-2012-3410